petsc-3.4.2 2013-07-02

# MatTransposeColoringCreate

Creates a matrix coloring context for matrix product C=A*B^T.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatTransposeColoringCreate(Mat mat,ISColoring iscoloring,MatTransposeColoring *color)

Collective on Mat

### Input Parameters

| mat | - the matrix product C
| iscoloring | - the coloring of the matrix; usually obtained with MatGetColoring() or DMCreateColoring()

### Output Parameter

color -the new coloring context

### See Also

MatTransposeColoringDestroy(), MatTransposeColoringSetFromOptions(), MatTransColoringApplySpToDen(),
MatTransColoringApplyDenToSp(), MatTransposeColoringView(),

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages